Delete catalog field
delete
/catalogs/{catalog_name}/fields/{field_name}
Use this endpoint to delete a catalog field.
Troubleshooting
The following table lists possible returned errors and their associated troubleshooting steps.
| Error | Troubleshooting |
|---|---|
catalog-not-found |
Check that the catalog name is valid. |
field-referenced-by-selection |
Check that the catalog field is currently in use by a selection. |
field-is-inventory |
Check that the catalog field is used as an inventory field. |
invalid-field-name |
Check that the catalog field name is valid. |
You can download the OpenAPI document and use it to validate schemas. To learn how, see Use OpenAPI schemas for request validation.
New Stuff!